# $Revision: 1.20 $, $Date: 2004/05/06 18:09:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Iterator
Summary:	File::Iterator - iterating across files in a directory tree
Summary(pl):	File::Iterator - iteracja po plikach w drzewie katalogw
Name:		perl-File-Iterator
Version:	0.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4d0084d51cafad2955fb04029c8704d9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Iterator wraps a simple iteration interface around the files
in a directory or directory tree. It builds a list of filenames, and
maintains a cursor that points to one particular filename. The user
can work through the filenames sequentially by doing stuff with the
filename that the cursor points to and then advancing the cursor to the
next filename in the list.

%description -l pl
File::iterator udostpnia prosty mechanizm iteracji po plikach w katalogu
lub drzewie katalogw.  Buduje list plikw, oraz udostpnia kursor,
wskazujcy na jeden konkretny plik.  Uytkownik moe pracowa z plikami
sekwencyjnie, robic swoje z plikiem, na ktry wskazuje kursor, po czym
przekierowujc go na kolejny plik z listy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Iterator.spec,v $
Revision 1.20  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 00:50:54  ankry
- cosmetics: unification

Revision 1.18  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.17  2004/04/14 14:57:19  ankry
- cosmetics

Revision 1.16  2004/04/13 18:46:39  adamg
- new style bconds

Revision 1.15  2003/09/15 11:42:00  adamg
- updated to 0.12

Revision 1.14  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:38:35  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:32:16  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/02/05 16:18:15  ankry
- autoupdated to 0.11

Revision 1.5  2003/01/07 15:01:11  mis
- autoupdated to 0.09

Revision 1.4  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.3  2002/11/20 12:18:27  mis
- autoupdated to 0.08

Revision 1.2  2002/08/31 12:23:40  radek
- version 0.07; warning: API has changed

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR
